net.sf.jasperreports.engine.fill

## Class JRResourcesFillUtil.ResourcesFillContext

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRResourcesFillUtil.ResourcesFillContext

- Enclosing class:
    JRResourcesFillUtil

      public static class JRResourcesFillUtil.ResourcesFillContext
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.ClassLoader` | `classLoader`
    `protected FileResolver` | `fileResolver`
    `protected java.net.URLStreamHandlerFactory` | `urlHandlerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRResourcesFillUtil.ResourcesFillContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.ClassLoader` | `getClassLoader()`
    `FileResolver` | `getFileResolver()`
    `java.net.URLStreamHandlerFactory` | `getUrlHandlerFactory()`
    `void` | `setClassLoader(java.lang.ClassLoader classLoader)`
    `void` | `setFileResolver(FileResolver fileResolver)`
    `void` | `setUrlHandlerFactory(java.net.URLStreamHandlerFactory urlHandlerFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### classLoader

          protected java.lang.ClassLoader classLoader

    - #### urlHandlerFactory

          protected java.net.URLStreamHandlerFactory urlHandlerFactory

    - #### fileResolver

          protected FileResolver fileResolver

  - ### Constructor Detail

    - #### JRResourcesFillUtil.ResourcesFillContext

          public JRResourcesFillUtil.ResourcesFillContext()

  - ### Method Detail

    - #### getClassLoader

          public java.lang.ClassLoader getClassLoader()

    - #### setClassLoader

          public void setClassLoader(java.lang.ClassLoader classLoader)

    - #### getUrlHandlerFactory

          public java.net.URLStreamHandlerFactory getUrlHandlerFactory()

    - #### setUrlHandlerFactory

          public void setUrlHandlerFactory(java.net.URLStreamHandlerFactory urlHandlerFactory)

    - #### getFileResolver

          public FileResolver getFileResolver()

    - #### setFileResolver

          public void setFileResolver(FileResolver fileResolver)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com